/**
 * Data model pour les sorts Sejdr
 */
export default class SortsejdrDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      forme: new fields.StringField({ initial: "" }),
      preparation: new fields.StringField({ initial: "" }),
      niveau: new fields.NumberField({ initial: 0, integer: true }),
      malus: new fields.NumberField({ initial: 0, integer: true }),
      duree: new fields.StringField({ initial: "" }),
      zone: new fields.StringField({ initial: "" }),
      description: new fields.HTMLField({ initial: "" })
    };
  }
}
